VSphereClusterTemplate [infrastructure.cluster.x-k8s.io/v1beta1]
- Description
- VSphereClusterTemplate is the Schema for the vsphereclustertemplates API.
- Type
object
Specification
.spec
- Description
- VSphereClusterTemplateSpec defines the desired state of VSphereClusterTemplate.
- Type
object- Required
template
.spec.template
- Description
- VSphereClusterTemplateResource describes the data for creating a VSphereCluster from a template.
- Type
object- Required
spec
.spec.template.spec
- Description
- VSphereClusterSpec defines the desired state of VSphereCluster.
- Type
object
.spec.template.spec.clusterModules
- Description
- ClusterModules hosts information regarding the anti-affinity vSphere constructs for each of the objects responsible for creation of VM objects belonging to the cluster.
- Type
array
.spec.template.spec.clusterModules[]
- Description
- ClusterModule holds the anti affinity construct `ClusterModule` identifier in use by the VMs owned by the object referred by the TargetObjectName field.
- Type
object- Required
controlPlanemoduleUUIDtargetObjectName
.spec.template.spec.controlPlaneEndpoint
- Description
- ControlPlaneEndpoint represents the endpoint used to communicate with the control plane.
- Type
object- Required
hostport
.spec.template.spec.controlPlaneLoadBalancer
- Description
- ControlPlaneLoadBalancer describes the control plane endpoint's load balancer. Leaving it nil is allowed and means the same as type=external: the endpoint is provided by the user and the provider manages no VIP. The field is set when the cluster is created or never: it cannot be added to an existing cluster, and once set every field is immutable and the field cannot be cleared. The endpoint, the apiserver serving certificate and the guest runtime are all derived from it and cannot be changed in place.
- Type
object- Required
hostport
.spec.template.spec.failureDomainSelector
- Description
- FailureDomainSelector is the label selector to use for failure domain selection for the control plane nodes of the cluster. If not set (`nil`), selecting failure domains will be disabled. An empty value (`{}`) selects all existing failure domains. A valid selector will select all failure domains which match the selector.
- Type
object
.spec.template.spec.failureDomainSelector.matchExpressions
- Description
- matchExpressions is a list of label selector requirements. The requirements are ANDed.
- Type
array
.spec.template.spec.failureDomainSelector.matchExpressions[]
- Description
- A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
- Type
object- Required
keyoperator
.spec.template.spec.failureDomainSelector.matchExpressions[].values
- Description
- values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
- Type
array
.spec.template.spec.failureDomainSelector.matchExpressions[].values[]
- Type
string
.spec.template.spec.failureDomainSelector.matchLabels
- Description
- matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
- Type
object
.spec.template.spec.identityRef
- Description
- IdentityRef is a reference to either a Secret or VSphereClusterIdentity that contains the identity to use when reconciling the cluster.
- Type
object- Required
kindname
API Endpoints
The following API endpoints are available:
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclustertemplatesDELETE: delete collection of VSphereClusterTemplateGET: list objects of kind VSphereClusterTemplatePOST: create a new VSphereClusterTemplate
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclustertemplates/{name}DELETE: delete the specified VSphereClusterTemplateGET: read the specified VSphereClusterTemplatePATCH: partially update the specified VSphereClusterTemplatePUT: replace the specified VSphereClusterTemplate
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclustertemplates
- HTTP method
DELETE- Description
- delete collection of VSphereClusterTemplate
- HTTP responses
- HTTP method
GET- Description
- list objects of kind VSphereClusterTemplate
- HTTP responses
- HTTP method
POST- Description
- create a new VSphereClusterTemplate
- Query parameters
- Body parameters
- HTTP responses
/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/vsphereclustertemplates/{name}
- HTTP method
DELETE- Description
- delete the specified VSphereClusterTemplate
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified VSphereClusterTemplate
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified VSphereClusterTemplate
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified VSphereClusterTemplate
- Query parameters
- Body parameters
- HTTP responses